﻿@model List<LapStore.Core.Models.CartItem>

<h2>GIỎ HÀNG</h2>

@if (Model.Count > 0)
{
    decimal total = 0;
    int stt = 1;

    <table class="table">
        <tr>
            <th>#</th>
            <th>Sản phẩm</th>
            <th>Giá</th>
            <th>Số lượng</th>
            <th>Thành tiền</th>
            <th></th>
        </tr>
        @foreach (var cartitem in Model)
        {
            var thanhtien = cartitem.quantity * cartitem.product.Price;
            total += thanhtien;

            <tr>
                <td>@(stt++)</td>
                <td>@cartitem.product.Name</td>
                <td>@(cartitem.product.Price.ToString("n0"))</td>
                <td><input asp-for="@cartitem.quantity" id="@($"quantity-{cartitem.product.Id}")" /></td>
                <td>@(thanhtien.ToString("n0"))</td>
                <td>
                    <button class="btn btn-success updatecartitem"
                            data-productid="@cartitem.product.Id">
                        Cập nhật
                    </button>
                    <a asp-route="removecart" asp-route-productid="@cartitem.product.Id"
                       class="btn btn-danger">Xóa</a>
                </td>
            </tr>
        }
        <tr>
            <td colspan="4" class="text-right">Tổng tiền</td>
            <td>@(total.ToString("n0"))</td>
            <td></td>
        </tr>
    </table>

    <a asp-controller="Cart" asp-action="Checkout" class="btn btn-success">Gửi đơn hàng</a>

    @section Scripts {
    <script>
        $(document).ready(function () {
            $(".updatecartitem").click(function (event) {
                event.preventDefault();
                var productid = $(this).attr("data-productid");
                var quantity = $("#quantity-" + productid).val();
                $.ajax({
                    type: "POST",
                    url: "@Url.RouteUrl("updatecart")",
                    data: {
                        productid: productid,
                        quantity: quantity
                    },
                    success: function (result) {
                        window.location.href = "@Url.RouteUrl("cart")";
                    }
                });
            });
        });
    </script>
      }

}
else
{
    <p class="alert alert-danger">Giỏ hàng trống</p>
}